Skip to main content
GET
List person relationships

Authorizations

Authorization
string
header
required

Path Parameters

person_id
string
required

The Extole unique profile identifier of this user at Extole.

Query Parameters

my_roles
enum<string>[]

Optional roles filter for the current person in the relationship. Will include journeys that match at least one of the roles. Eligible values are FRIEND, ADVOCATE.

Available options:
ADVOCATE,
FRIEND
containers
string[]

Optional container filter, defaults to all containers. Will include relationships that match at least one of the containers.

programs
string[]

Optional program label filter. Will include relationships that match at least one of the programs.

campaign_ids
string[]

Optional campaign id filter. Will include relationships that match at least one of the campaign ids.

data_keys
string[]

Optional filter for existence of specific data keys with non-empty values. Will include relationships that have at least one of the data keys.

data_values
string[]

Optional filter for existence of specific data values. Will include relationships that have at least one of the specified data name-value pair. Valid format is name:value.

exclude_anonymous
boolean
default:false

Optional flag to exclude relationships with anonymous persons.

include_duplicate_identities
boolean
default:false

Optional flag to return all relationships, not de-duplicate by identity. Default behavior (or when flag is set to false) returns last relationship per person.

include_self_referrals
boolean
default:false

Optional flag to include self referrals.

offset
integer<int32>
default:0

Optional offset filter, defaults to 0.

limit
integer<int32>
default:100

Optional limit filter, defaults to 100.

Response

Successful response

campaign_id
string
required

Extole campaign id associated with this relationship. Absent when no campaign is linked.

cause_event_id
string
required

Id of the direct cause event for this relationship.

container
string
required

Campaign container in which the relationship was established.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

data
object
required

Named data parameters attached to this relationship.

id
string
required
read-only

Extole-assigned unique identifier for this relationship.

my_role
enum<string>
required

This person's role in the relationship (ADVOCATE or FRIEND).

Available options:
ADVOCATE,
FRIEND
other_person
object
required

The other party in a relationship, identified by this client's identity key.

other_person_id
string
required

Extole person id of the other party in the relationship.

person_id
string
required

Extole person id of the person in the relationship.

program
string
required

Program key associated with this relationship. Absent for relationships with no program context.

root_event_id
string
required

Id of the root event that initiated this relationship.

updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"